<?xml version="1.0" encoding="utf-8"?>
<hkpackfile classversion="2">

	<!-- Check the Havok Content Tools documentation (Integration section) for details on how this file is interpreted -->
 
	<hksection name="__data__">
	
		<hkobject class="hctAttributeSelectionDatabase" name="#0000">
		
		
			<hkparam name="attributeAdditions" numelements="0">
			
				<!-- -->
				<!-- Note : If you add /uncomment any attribute selection, make sure you update the "numelements" value above -->
				<!-- -->

			
				<!-- This example selects the "Handle" and "Spout" attributes from the "Parameters" parameter block 
						of objects of type "Teapot" -->
				<!-- Wildcards can also be used - for example, using "*" (without the quotes) as subTypeName would 
						yield the same results, as there is only one parameter block in any Teapot object ("Parameters") -->
						
				<!--
				<hkobject>
					<hkparam name="typeName">Teapot</hkparam>
					<hkparam name="subTypeName">Parameters</hkparam>
					<hkparam name="attributeNames" numelements="2">
						<hkcstring>Handle</hkcstring>
						<hkcstring>Spout</hkcstring>
					</hkparam>
				</hkobject>
				-->

				<!-- This would export all attributes -->
				<!-- Note that file size will be greatly increased. -->
				
				<!--
				<hkobject>
					<hkparam name="typeName">*</hkparam>
					<hkparam name="subTypeName">*</hkparam>
					<hkparam name="attributeNames" numelements="1">
						<hkcstring>*</hkcstring>
					</hkparam>
				</hkobject>
				-->
				
			</hkparam>
			
			
			<hkparam name="attributeRemovals" numelements="1">
			
				<!-- Attributes that should NOT be exported can be added here as well - the format is the same as for additions -->
			
				<!-- Remove Mental Ray custom attributes -->
				<hkobject>
					<hkparam name="typeName">*</hkparam>
					<hkparam name="subTypeName">mr*</hkparam>
					<hkparam name="attributeNames" numelements="1">
						<hkcstring>*</hkcstring>
					</hkparam>
				</hkobject>
				
			</hkparam>
	
		</hkobject>

		
	</hksection>

</hkpackfile>
